/*
    yamm, Yet Another Micro Monitor
	lib/init.c
    Copyright (C) 1994, 1995  Riccardo Facchetti

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdlib.h>

#include "yamm.h"

/*
 * This function is called by main() to initialize some things of yamm.
 */
int init_yamm(void)
{
#if !defined(NO_CURSES)
	wait_second = 4;
#endif
	
/*
 * Allocate memory: one time one chunk.
 */
	myps = (struct pst_status * )malloc(sizeof(struct pst_status));
	pbuf = NULL;

	return ( 1 );
}
